/**
 * The Lab class represents a College class with all of labClasses and
 * referred information
 *
 * @author SpNova
 * @version 0.0
 */
public class College {
    // represents college name
    private String name;
    // represents count of lab classes in the faculty
    private int labCount;
    // represents the list of each faculty labs
    private Lab[] facultyLabs;

    /**
     * @param name set name field of college
     * @param labCount set lab count of the college
     */
    public College(String name, int labCount){
        this.name=name;
        this.labCount=labCount;
    }

    /**
     * initializes college class for test and debug purposes
     */
    public void initialize(){
        facultyLabs=new Lab[labCount];
        Student sampleStudent = new Student("Foo", "Bar", "99xxxxxx");
        for (int i = 0; i < facultyLabs.length; i++) {
            facultyLabs[i].enrollStudent(sampleStudent);
        }
    }

    /**
     * pass lab number you want to print its details
     * @param i set lab number
     */
    public void print(int i){
        if(i>facultyLabs.length)
            System.out.println("Faculty Has Not That Lab Class");
        else
            facultyLabs[i-1].print();
    }
}
